GNU bug report logs - #11722
24.1; cannot set-frame-font to a fontset

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jae-hyeon Park <jae-hyeon.park@HIDDEN>; dated Fri, 15 Jun 2012 20:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2012 20:46:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 16:46:30 2012
Received: from localhost ([127.0.0.1]:44399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfdPa-0005uD-3a
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 16:46:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59632)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdMM-0005ow-Mg
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 16:43:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJQ-0007II-0l
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 16:40:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.5 required=5.0 tests=BAYES_00, MIME_CHARSET_FARAWAY,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:44497)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJP-0007I6-Tn
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 16:40:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39827)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJN-0002CR-PI
	for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2012 16:40:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJL-00079S-C1
	for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2012 16:40:05 -0400
Received: from mailout1.zih.tu-dresden.de ([141.30.67.72]:34238)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJL-00075f-1y
	for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2012 16:40:03 -0400
Received: from mail.zih.tu-dresden.de ([141.76.14.4] helo=server-n)
	by mailout1.zih.tu-dresden.de with esmtp (Exim 4.63)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJH-0008Rw-IX
	for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2012 22:40:00 +0200
Received: from aida (ip-2-201-63-196.web.vodafone.de [2.201.63.196])
	by server-n (Postfix) with ESMTP id 4D08671CBB
	for <bug-gnu-emacs@HIDDEN>; Fri, 15 Jun 2012 22:39:59 +0200 (CEST)
Received: from jhpark by aida with local (Exim 4.76)
	(envelope-from <jae-hyeon.park@HIDDEN>) id 1SfdJE-0006y1-Bl
	for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2012 22:39:56 +0200
From: Jae-hyeon Park <jae-hyeon.park@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1; cannot set-frame-font to a fontset
References: <87ehv4rip9.fsf@HIDDEN>
Date: Fri, 15 Jun 2012 22:39:55 +0200
Message-ID: <87wr38nwbo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=euc-kr
Content-Transfer-Encoding: quoted-printable
X-TUD-Virus-Scanned: mailout1.zih.tu-dresden.de
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 15 Jun 2012 16:46:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

1) start emacs with:

    $ emacs -Q

2) define a fontset by evaluating in the scratch buffer:

    (create-fontset-from-ascii-font
     "-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso8859-1" nil "test=
")
    (set-fontset-font "fontset-test" 'korean-ksc5601
     "-daewoo-gothic-medium-r-normal--16-120-100-100-c-160-ksc5601.1987-0=
")

3) write some Korean letters in the scratch buffer, whose font will be
   set in the next steps

    ;; =C2=CC=C1=F6=B8=B6

4) set and check the frame font with:

    (set-frame-parameter nil 'font "fontset-test")
         =3D> nil
    (frame-parameter nil 'font)
         =3D> "-Misc-Fixed-normal-normal-normal-*-14-*-*-*-c-70-iso10646-=
1"
    (frame-parameter nil 'font-parameter)
         =3D> "fontset-test"

5) alternatively, set and check the frame font with:

    (set-frame-font "fontset-test")
         =3D> nil
    (frame-parameter nil 'font)
         =3D> "-Misc-Fixed-normal-normal-normal-*-14-*-*-*-c-70-iso10646-=
1"
    (frame-parameter nil 'font-parameter)
         =3D> "-misc-fixed-medium-r-normal--14-*-75-75-c-70-iso8859-1"


In emacs 23.3.1, both methods 4) and 5) work, and the "font-parameter"
frame-parameter is set to the same value by both methods.  In emacs
24.1, method 5) does not select the specified Korean font, and the
font-parameter has different values in 4) and 5).  One can notice that
the Korean characters look different after evaluating the first lines in
4) and 5).


In GNU Emacs 24.1.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.3)
 of 2012-06-14 on aida
Windowing system distributor `The X.Org Foundation', version 11.0.1120200=
0
Configured using:
 `configure '--prefix=3D/usr' '--build=3Dx86_64-pc-linux-gnu'
 '--host=3Dx86_64-pc-linux-gnu' '--mandir=3D/usr/share/man'
 '--infodir=3D/usr/share/info' '--datadir=3D/usr/share' '--sysconfdir=3D/=
etc'
 '--localstatedir=3D/var/lib' '--libdir=3D/usr/lib64'
 '--disable-dependency-tracking' '--program-suffix=3D-emacs-24'
 '--infodir=3D/usr/share/info/emacs-24'
 '--enable-locallisppath=3D/etc/emacs:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.6.2/../../../../lib=
64'
 '--with-gameuser=3Dgames' '--without-compress-info'
 '--disable-maintainer-mode' '--without-hesiod' '--without-kerberos'
 '--without-kerberos5' '--with-gpm' '--with-dbus' '--with-gnutls'
 '--without-xml2' '--without-selinux' '--without-wide-int'
 '--with-sound' '--with-x' '--without-ns' '--without-gconf'
 '--without-gsettings' '--with-toolkit-scroll-bars' '--with-gif'
 '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm'
 '--without-imagemagick' '--with-xft' '--without-libotf'
 '--without-m17n-flt' '--with-x-toolkit=3Dgtk3'
 'build_alias=3Dx86_64-pc-linux-gnu' 'host_alias=3Dx86_64-pc-linux-gnu'
 'CFLAGS=3D-march=3Dnative -O2 -pipe -O2' 'LDFLAGS=3D-Wl,-O1 -Wl,--sort-c=
ommon
 -Wl,--as-needed' 'CPPFLAGS=3D''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: POSIX
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e m a <tab> <return>

Recent messages:
uim.el: starting uim-el-helper-agent... done
uim.el: starting uim-el-agent... done
Loading paren...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/usr/share/emacs/site-lisp/cjk-latex/thai-word hides /usr/share/emacs/24.=
1/lisp/language/thai-word

Features:
(shadow sort flyspell ispell mail-extr gnus-msg gnus-art mm-uu mml2015
epg-config mm-view mml-smime smime password-cache dig mailcap gnus-sum
nnoo gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec
gnus-int gnus-range gnus-win gnus gnus-ems nnheader gnus-util wid-edit
emacsbug message format-spec rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils printing
ps-print ps-def lpr paren cus-start cus-load comint regexp-opt
ansi-color ring reduce-mode reduce-run dbus xml uim-leim uim advice
help-fns advice-preload uim-helper uim-candidate uim-preedit uim-key
uim-util uim-debug uim-keymap uim-var uim-version hangul hanja-util
quail help-mode easymenu view korea-util site-gentoo tex-site auto-loads
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Jae-hyeon Park <jae-hyeon.park@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11722; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.